MINTPY-GEOCODE(1)

NAME
mintpy-geocode - Resample radar coded files into geo coordinates, or reverse

DESCRIPTION
usage: geocode.py [-h] [-d DSET] [-l LOOKUPFILE] [--lat-file LATFILE]

    [--lon-file LONFILE] [--geo2radar] [-t TEMPLATEFILE] [-b S N W E] [--lalo LAT_STEP LON_STEP] [-i {nearest,linear}] [--fill FILLVALUE] [-n NPROCS] [--software {pyresample,scipy}] [--update] [-o OUTFILE] [--outdir OUT_DIR] [--ram MAXMEMORY] file [file ...]

Resample radar coded files into geo coordinates, or reverse

  positional arguments:

file
    File(s) to be geocoded

  options:

-h, --help
    show this help message and exit

-d DSET, --dset DSET
    dataset to be geocoded, for example: height for geometryRadar.h5 unwrapPhase-20100114_20101017 for ifgramStack.h5

-l LOOKUPFILE, --lookup LOOKUPFILE
    Lookup table file generated by InSAR processors.

--lat-file LATFILE
    lookup table file for latitude.

--lon-file LONFILE
    lookup table file for longitude.

--geo2radar, --geo2rdr
    resample geocoded files into radar coordinates. ONLY for lookup table in radar-coord (ISCE, Doris).

-t TEMPLATEFILE, --template TEMPLATEFILE
    Template file with geocoding options.

--update
    skip resampling if output file exists and newer than input file

-o OUTFILE, --output OUTFILE
    output file name. Default: add prefix 'geo_'

--outdir OUT_DIR, --output-dir OUT_DIR
    output directory.

--ram MAXMEMORY, --memory MAXMEMORY
    Max amount of memory in GB to use (default: 4.0). Adjust according to your computer memory.

  grid in geo-coordinates:

-b S N W E, --bbox S N W E
    Bounding box for the area of interest. using coordinates of the uppler left corner of the first pixel

and the lower right corner of the last pixel
    for radar2geo, it's the output spatial extent for geo2radar, it's the input spatial extent

--lalo LAT_STEP LON_STEP, --lalo-step LAT_STEP LON_STEP
    output pixel size in degree in latitude / longitude. degrees --> meters on equator 0.000925926 --> 100 0.000833334 --> 90 0.000555556 --> 60 0.000462963 --> 50 0.000277778 --> 30 0.000185185 --> 20 0.000092593 --> 10

  interpolation:

-i {nearest,linear}, --interp {nearest,linear}
    interpolation/resampling method (default: nearest).

--fill FILLVALUE
    Fill value for extrapolation (default: nan).

-n NPROCS, --nprocs NPROCS
    number of processors to be used for calculation (default: 1). Note: Do not use more processes than available processor cores.

--software {pyresample,scipy}
    software/module used for interpolation (default: pyresample) Note: --bbox is not supported for -p scipy

  template options:

    # for input dataset in radar coordinates only # commonly used resolution in meters and in degrees (on equator) # 100, 60, 50, 30, 20, 10 # 0.000925926, 0.000555556, 0.000462963, 0.000277778, 0.000185185, 0.000092593 mintpy.geocode = auto #[yes / no], auto for yes mintpy.geocode.SNWE = auto #[-1.2,0.5,-92,-91 / none ], auto for none, output extent in degree mintpy.geocode.laloStep = auto #[-0.000555556,0.000555556 / None], auto for None, output resolution in degree mintpy.geocode.interpMethod = auto #[nearest], auto for nearest, interpolation method mintpy.geocode.fillValue = auto #[np.nan, 0, ...], auto for np.nan, fill value for outliers.

  example:

    geocode.py velocity.h5 geocode.py velocity.h5 -b -0.5 -0.25 -91.3 -91.1 geocode.py velocity.h5 timeseries.h5 -t smallbaselineApp.cfg --outdir ./geo --update

    # geocode file using ISCE-2 lat/lon.rdr file geocode.py filt_fine.int --lat-file ../../geom_reference/lat.rdr --lon-file ../../geom_reference/lon.rdr

    # radar-code file in geo coordinates geocode.py swbdLat_S02_N01_Lon_W092_W090.wbd -l geometryRadar.h5 -o waterMask.rdr --geo2radar geocode.py geo_velocity.h5 --geo2radar